Bug 1303773 - The SemiCondensed style of the Fixed font isn't correctly handled on app start or window open
The SemiCondensed style of the Fixed font isn't correctly handled on app star...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: konsole5 (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 18:11 EST by David Howells
Modified: 2017-03-27 08:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-27 08:36:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 378152 None None None 2017-03-27 06:44 EDT

  None (edit)
Description David Howells 2016-02-01 18:11:08 EST
Description of problem:

The Fixed font has a SemiCondensed style that is the default font for the xterm program.  It is possible to make konsole display in this font - so that's not a problem.

However, whilst the setting in the profile to use this font is persistent between runs of the program, when konsole is exited and restarted, it renders with the uncondensed Fixed font, despite the setting in the profile.

Going into the profile and re-applying the font selection will adjust the displayed font to the right thing, and subsequent windows opened by the still running application will display the right font from the start - until the application is restarted.

Further, even when the windows open *displaying* the correct font, they're still *sized* initially according to the uncondensed font metrics if you disable the "Configure Konsole->General->Use current window size on next startup" option to force the initial size.

Yet further, setting "Draw intense colours in bold font" should probably use the Condensed Bold style, but just seems to change the colour.


Version-Release number of selected component (if applicable):

konsole5-15.12.1-1.fc23.x86_64
ucs-miscfixed-fonts-0.3-13.fc23.noarch

How reproducible:
100%

Steps to Reproduce:
1.Install ucs-miscfixed-fonts, kill all konsoles and start a new konsole.

2.Disable "Configure Konsole->General->Use current window size on next startup".

3.Edit the current profile.

   (a) Go to the Appearance tab and Select Font.  Set the font to Fixed, style to SemiCondensed and size to 10.

   (b) Go to the General tab and set the terminal size to 80 x 24.

  Apply the changes and click OK to exit the profile editor.  You should now see the shell contents displayed in the xterm default font.

4.Close all konsoles and then start a new konsole.  The font will now rendered as uncondensed and the terminal will be sized for 80x24 in that font.

5.Edit the current profile again.  Go to the Appearance tab and Select Font.  It should be showing Fixed font, SemiCondensed style.  Hit OK and then OK again to close the profile editor.  The font the shell contents are rendered in should now have changed to SemiCondensed.

6.Keeping the window opened in (5) open, create a new konsole window.  Assuming this is run from the same konsole process, the font should now be rendered as SemiCondensed - however, the window is still sized for the uncondensed font.

Actual results:

The font is initially rendered as uncondensed Fixed when the konsole process is started, until the font is reselected - after which it is persistent across all windows opened under that process.

New windows are always opened sized for the uncondensed font.

Expected results:

The font should be always rendered as SemiCondensed when that is the setting in the profile.

New windows should be opened sized for the SemiCondensed font when that is the setting in the profile.

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 10:20:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 David Howells 2017-03-27 05:28:24 EDT
This is still there in konsole5-16.12.3-1.fc25.x86_64
Comment 3 Rex Dieter 2017-03-27 08:36:30 EDT
Thanks for the upstream report, let's continue tracking this there.

Note You need to log in before you can comment on or make changes to this bug.